@extends('layouts.app')

@section('title', '江西干部网络学习')
@section('url', '/jxgb')
@section('biaoti', '江西干部网络学习')

@section('content')

<div class="container">
    <div class="row">
    	<!--左侧开始--> 
        <div class="col-xs-12 col-md-12 col-lg-8">
<div class="jumbotron">
<h4 style='font-family:微软雅黑,SimHei;'><b></b>使用说明：</b></h4>
	<p style='text-indent: 2em;color:#696969;font-family: 宋体, 微软雅黑, Arial, Verdana, arial, serif;'>您仅需登录，剩下的就交给时间吧，本系统选课答题挂机全自动完成。</p>
	<p style='text-indent: 2em;color:#696969;font-family: 宋体, 微软雅黑, Arial, Verdana, arial, serif;'>登录系统就可以关闭浏览器了，系统将自动为您挂满学时。</p>
</div>
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header text-center"><h4>登录官网</h4></div>
                <div class="card-body">
                    <form method="POST" action="{{ route('gb.index2') }}" onsubmit="return false" id="jxjy">
                        @csrf
                        <div class="form-group row">
                            <label for="text" class="col-md-4 col-form-label text-md-right">身份证号码</label>

                            <div class="col-md-6">
                            	@if(isset($username))
                            	<input type="hidden" name="username" value="{{ $username }}">
                            	@else
                                <input id="username" autocomplete="off" type="text" maxlength="18" class="form-control @error('username') is-invalid @enderror" name="username" required autocomplete="username">
                                @endif
                                @error('username')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">密码，默认888888</label>

                            <div class="col-md-6">
                            	@if(isset($password))
                            	<input type="hidden" name="password" value="{{ $password }}">
                            	@else
                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
                                @endif
                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-3 text-center">
                                <button type="submit" id="tijiao" class="btn btn-primary">登录学习系统</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
       <!--右侧开始--> 
		<div id="b-public-right" class="col-lg-4 d-none d-md-block d-xg-none">
		<div class="b-search">
			<form class="form-inline" role="form" action="https://blog.dzbfsj.com/search" method="get">
                    <input class="b-search-text" type="text" name="wd">
                    <input class="b-search-submit" type="submit" value="搜索">
                </form>
            </div>
		<div class="b-qun">
		<h4 class="b-title">加入组织</h4>
			<ul class="b-all-tname">
				<li class="b-qun-or-code">
					<img src="https://blog.dzbfsj.com/uploads/images/QQqun.jpg" width="130px" alt="QQ">
				</li>
				<li class="b-qun-word">
					<p class="b-qun-nuber">
						1. 手Q扫左侧二维码
							</p>
                            <p class="b-qun-nuber">
                                2. 搜Q群：617719749
                            </p>
                            <p class="b-qun-code">
                                3. 点击<a href="https://jq.qq.com/?_wv=1027&k=5ifVMnV" target="Laravel 6.0学习交流群">加入学习群</a>
                            </p>
                            <p class="b-qun-article">
							</p>
                        </li>
                    </ul>
                </div>
			<div class="b-tags">
                <h4 class="b-title">热门标签</h4>
                <ul class="b-all-tname">
						<li class="b-tname">
                            <a class="tstyle-1" href="https://blog.dzbfsj.com/tag/1">Laravel (2)</a>
                        </li>
                                                                                            <li class="b-tname">
                            <a class="tstyle-2" href="https://blog.dzbfsj.com/tag/2">文学 (3)</a>
                        </li>
				</ul>
            </div>

            <div class="b-comment-list">
                <h4 class="b-title">最新评论</h4>
                <div>
				<ul class="b-new-comment  b-new-commit-first ">
                            <img class="b-head-img bjy-lazyload" src="https://blog.dzbfsj.com/uploads/avatar/default.jpg" data-src="/uploads/avatar/1.jpg" alt="快乐生活">
                            <li class="b-nickname">
                                快乐生活<span>20小时前</span>
                            </li>
                            <li class="b-nc-article">
                                评论<a href="https://blog.dzbfsj.com/article/8#comment-1" target="_blank">朱坑村党建促扶贫访谈提纲</a>
                            </li>
                            <li class="b-content">
                                测试回复。
                            </li>
				</ul>
			</div>
            </div>
            <div class="b-link">
                <h4 class="b-title">微信小程序</h4>
                <p>
					<a href="https://item.taobao.com/item.htm?spm=a2oq0.12575281.0.0.25911debbPFJLi&ft=t&id=606459190398"><span class="fa fa-link b-black"></span><img src="https://blog.dzbfsj.com/uploads/images/xcx.jpg" width="200px" border="1px"></a>
                </p>
            </div>
        </div>
    </div>
</div>

<script language ="javascript"> 
$(document).ready(function(){ 
	//重新登录自动提交
	var username = "<?php if(isset($username))echo $username;?>";
	if (username){
	$("#jxjy").attr("onsubmit",""); //让表单可以提交
	$("#tijiao").click();
	}
	$("#username").focus(); //置焦点到username输入框
	$("#tijiao").click(function(){
	//判断输入位数，先用正则过滤，仅允许输入数字和X
	var shuru = $("#username").val().replace(/[^0-9X x]+/,'');
	var num = shuru.length;
	var password = $("#password").val();
	if(num > 18){
		$("#jxjy").attr("onsubmit","return false");
		alert('输入了' + num + '位，超过18位。请输入18位的身份证号码！');
		$("#username").val('');
	} else if(num < 18 && num > 1){
		$("#jxjy").attr("onsubmit","return false");
		alert('输入了' + num + '位，不到18位，请输入18位的身份证号码！');
		$("#username").val('');
	} else if(num == 0){
		$("#jxjy").attr("onsubmit","return false");
		alert('请输入18位的身份证号码，仅含数字或字母X');
		$("#username").val('');
	} else{
		if (password !== ''){
		$("#jxjy").attr("onsubmit",""); //让表单可以提交
		}else{
		$("#jxjy").attr("onsubmit","return false");
		alert('密码为空，请输入密码！');
		}
	}
	})
}); 
</script>

@endsection