@extends('layouts.app')

@section('title', '江西干部网络学习')
@section('url', '/jxjy')
@section('biaoti', '江西干部网络学习')

@section('content')

<div class="container">
    <div class="row">
    	<!--左侧开始--> 
        <div class="col-xs-12 col-md-12 col-lg-8">
<div class="container table-responsive" style='margin-bottom: 15px; padding-top: 10px; padding: 20px 10px 10px 10px; background: #fff;box-shadow: 0px 1px 2px 0px #E2E2E2;position: relative;'>
  <h3 class='text-center'>用户<b style="color:red">{{ $cxjgs[7] }}</b>正在学习</h3>
  <p>离线挂机成功，现在可以关闭浏览器了，系统将自动为您更新学习时间，直到挂满。</p>
  <p>本页面仅供查看学习进展，刷新本页面，会自动更新学习成绩。后台默认10分钟更新一次，请不要频繁刷新。关闭本页面不影响挂机。</p>
  <p>挂机成功后，请不要在网页登录官网，不然会掉线，掉线需要重新登录。</p>
  <table class="table">
    <tbody>
	<tr class="table-secondary">
        <td width='30%'>用户名</td>
        <td>{{ $cxjgs[6] }}</td>
      </tr>
	<tr class="table-primary">
        <td width='30%'>真实姓名</td>
        <td>{{ $cxjgs[7] }}</td>
      </tr>
	<tr class="table-success">
        <td width='30%'>总学时</td>
        <td>{{ $cxjgs[1] }}</td>
      </tr>
	<tr class="table-danger">
        <td width='30%'>必修学时</td>
        <td>{{ $cxjgs[2] }}</td>
    </tr>
	<tr class="table-active">
        <td width='30%'>选修学时</td>
        <td>{{ $cxjgs[3] }}</td>
      </tr>
	<tr class="table-info">
        <td width='30%'>当前学习课程</td>
        <td>{{ $cxjgs[4] }}</td>
      </tr>
	<tr class="table-warning">
        <td width='30%'>当前课程学习进度</td>
        <td>{{ $cxjgs[5] }}</td>
	</tr>
    </tbody>
  </table>

  <div class="btn-toolbar" role="toolbar">
	<div style='margin:10px 10%'>
		<button type="button" class="btn btn-success">更新学时</button>
	</div>
	<div style='margin:10px 10%'>
		<button type="button" class="btn btn-info">自动发帖</button>
	</div>
	<div style='margin:10px 10%'>
		<button type="button" class="btn btn-danger">自动回帖</button>
	</div>
</div>
</div>



</div>
       <!--右侧开始--> 
		<div id="b-public-right" class="col-lg-4 d-none d-md-block d-xg-none">
		<div class="b-search">
			<form class="form-inline" role="form" action="https://blog.dzbfsj.com/search" method="get">
                    <input class="b-search-text" type="text" name="wd">
                    <input class="b-search-submit" type="submit" value="搜索">
                </form>
            </div>
		<div class="b-qun">
		<h4 class="b-title">加入组织</h4>
			<ul class="b-all-tname">
				<li class="b-qun-or-code">
					<img src="https://blog.dzbfsj.com/uploads/images/QQqun.jpg" width="130px" alt="QQ">
				</li>
				<li class="b-qun-word">
					<p class="b-qun-nuber">
						1. 手Q扫左侧二维码
							</p>
                            <p class="b-qun-nuber">
                                2. 搜Q群：617719749
                            </p>
                            <p class="b-qun-code">
                                3. 点击<a href="https://jq.qq.com/?_wv=1027&k=5ifVMnV" target="Laravel 6.0学习交流群">加入学习群</a>
                            </p>
                            <p class="b-qun-article">
							</p>
                        </li>
                    </ul>
                </div>
			<div class="b-tags">
                <h4 class="b-title">热门标签</h4>
                <ul class="b-all-tname">
						<li class="b-tname">
                            <a class="tstyle-1" href="https://blog.dzbfsj.com/tag/1">Laravel (2)</a>
                        </li>
                                                                                            <li class="b-tname">
                            <a class="tstyle-2" href="https://blog.dzbfsj.com/tag/2">文学 (3)</a>
                        </li>
				</ul>
            </div>

            <div class="b-comment-list">
                <h4 class="b-title">最新评论</h4>
                <div>
				<ul class="b-new-comment  b-new-commit-first ">
                            <img class="b-head-img bjy-lazyload" src="https://blog.dzbfsj.com/uploads/avatar/default.jpg" data-src="/uploads/avatar/1.jpg" alt="快乐生活">
                            <li class="b-nickname">
                                快乐生活<span>20小时前</span>
                            </li>
                            <li class="b-nc-article">
                                评论<a href="https://blog.dzbfsj.com/article/8#comment-1" target="_blank">朱坑村党建促扶贫访谈提纲</a>
                            </li>
                            <li class="b-content">
                                测试回复。
                            </li>
				</ul>
			</div>
            </div>
            <div class="b-link">
                <h4 class="b-title">微信小程序</h4>
                <p>
					<a href="https://item.taobao.com/item.htm?spm=a2oq0.12575281.0.0.25911debbPFJLi&ft=t&id=606459190398"><span class="fa fa-link b-black"></span><img src="https://blog.dzbfsj.com/uploads/images/xcx.jpg" width="200px" border="1px"></a>
                </p>
            </div>
        </div>
    </div>
</div>

@endsection